#
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#

Name:           gearmand
Version:        0.25
Release:        6.18
Summary:        Gearman Job Server
Group:          Productivity/Networking/Web/Servers
License:        Simplified BSD License
Url:            http://gearman.org
BuildRequires:  gcc
BuildRequires:  gcc-c++
%if 0%{?suse_version} >= 1110 || 0%{?centos_version} >= 5 || 0%{?redhat_version} >= 500 || 0%{?rhel_version} >= 500 || 0%{?sl_version} >= 500
BuildRequires:  libevent-devel
%else
BuildRequires:	libevent
%endif
%if 0%{?suse_version} > 1020
BuildRequires:  libuuid-devel
%endif
%if 0%{?centos_version} >= 5 || 0%{?redhat_version} >= 500 || 0%{?suse_version} <= 1020 || 0%{?rhel_version} >= 500 || 0%{?sl_version} >= 500
BuildRequires:	e2fsprogs-devel
%endif
%if 0%{?centos_version} >= 6 || 0%{?rhel_version} >= 600 || 0%{?sl_version} >= 600
BuildRequires:	libuuid-devel
%endif
%if 0%{?centos_version} || 0%{?redhat_version} || 0%{?rhel_version} || 0%{?sl_version}
BuildRequires:	pkgconfig
%endif
%if 0%{?suse_version}
BuildRequires:  pkg-config
%endif
BuildRequires:	boost-devel >= 1.37
%if 0%{?suse_version}
PreReq:         %insserv_prereq %fillup_prereq
PreReq:		/usr/sbin/groupadd /usr/sbin/useradd
%endif
Source0:        %{name}-%{version}.tar.bz2
Source1:        gearmand.init
Source2:        gearmand.sysconfig
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
AutoReqProv:    on

%description

See http://gearman.org

%package devel
Summary:        Gearmand development files
Group:          Development/Libraries/Other
Requires:       %{name} = %{version} glibc-devel
%if 0%{?suse_version} > 1020
Requires:	libuuid-devel
%endif
%if 0%{?centos_version} >= 5 || 0%{?redhat_version} >= 500 || 0%{?suse_version} <= 1020
Requires:	e2fsprogs-devel
%endif
%if 0%{?suse_version} >= 1110 || 0%{?centos_version} >= 5 || 0%{?redhat_version} >= 500
Requires:	libevent-devel
%else
Requires:	libevent
%endif

%description devel
This package contains necessary header files for Gearman development.

%prep
%setup -n %{name}-%{version}
 
%build
[ ! -f configure ] && autoreconf -fi
%configure --with-boost=%{_prefix}
make %{?jobs:-j%jobs}

%install
%makeinstall
%{__install} -D  -m 0755 %{S:1} %{buildroot}%{_sysconfdir}/init.d/gearmand
%{__ln_s} -f ../..%{_sysconfdir}/init.d/gearmand %{buildroot}%{_sbindir}/rcgearmand
%{__install} -D  -m 0644 %{S:2} %{buildroot}/var/adm/fillup-templates/sysconfig.gearmand  

%clean
rm -rf $RPM_BUILD_ROOT

%pre
/usr/sbin/groupadd -r gearman &>/dev/null || :
/usr/sbin/useradd -o -g gearman -s /bin/false -r -c "user for gearmand" -d /var/lib/gearman/ gearman &>/dev/null || :

%post
/sbin/ldconfig
%if 0%{?suse_version}
%{fillup_and_insserv -y gearmand}
%endif

%preun
%if 0%{?suse_version}
%stop_on_removal gearmand
%endif

%postun
/sbin/ldconfig
%if 0%{?suse_version}
%restart_on_update gearmand
%{insserv_cleanup}
%endif

%files
%defattr(-,root,root)
%doc ChangeLog README COPYING
%doc %{_mandir}/man?/*  
%{_bindir}/gearman
%{_bindir}/gearadmin
%{_sbindir}/gearmand
%{_libdir}/libgearman.so.6
%{_libdir}/libgearman.so.6.0.0
%{_sbindir}/rcgearmand
%{_sysconfdir}/init.d/gearmand
/var/adm/fillup-templates/sysconfig.gearmand  

%files devel
%defattr(-,root,root)
%{_libdir}/pkgconfig/gearmand.pc
%dir %{_includedir}/libgearman
%{_includedir}/libgearman/gearman.h
%dir %{_includedir}/libgearman-1.0
%{_includedir}/libgearman-1.0/*
%{_libdir}/libgearman.la
%{_libdir}/libgearman.so
%{_libdir}/libgearman.a

%changelog
* Fri Nov  4 2011 cs@linux-administrator.com
- update to release 0.25
* Sat Aug 13 2011 cs@linux-administrator.com
- update to release 0.24
* Sat Jul  2 2011 cs@linux-administrator.com
- update to release 0.23
- more cross-distribution build fixes
* Sun May 15 2011 cs@linux-administrator.com
- update to release 0.20
* Wed Mar 16 2011 cs@linux-administrator.com
- update to release 0.18
* Wed Feb 23 2011 cs@linux-administrator.com
- update to release 0.16
* Tue Feb 15 2011 cs@linux-administrator.com
- update to release 0.15
